# Driving License

Driving license verification can be used as part of the merchant onboarding process to verify the identity of the merchant and ensure they have a valid driver's license. This can help to prevent fraud and protect against identity theft.

### Submit Document

#### ind\_driving\_license

`POST``https://secctrl.tutelar.io/api/v1/kyc/identity/ind_driving_license`

Post parameters description is given below,

| Post Parameter  | Type   | Is Mandatory | Description    |
| --------------- | ------ | ------------ | -------------- |
| `id_number`     | String | Yes          | Your DL Number |
| `date_of_birth` | String | Yes          | DOB            |

**Sample Post Parameters**

```json
{
  "id_number": "TN6320100000762",
  "date_of_birth": "YYYY-MM-DD"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "77fd9fd0-5d55-48d9-9496-191902eb6463",
  "status": "completed",
  "result": {
    "document_number": "TN6320100000762",
    "name_on_document": "VINAYAGAMOORTHYT",
    "date_of_birth": "YYYY-MM-DD",
    "gender": null,
    "issuing_rto_name": "RTO, SIVAGANGAI",
    "date_of_issue": "2016-02-09",
    "dl_status": null,
    "validity_from": "2016-02-09",
    "validity_to": "2036-02-08",
    "cov_details": [
      {
        "category": null,
        "cov": "MCWG",
        "issue_date": "2016-02-09"
      },
      {
        "category": null,
        "cov": "LMV",
        "issue_date": "2016-02-09"
      }
    ],
    "source": "government_website"
  },
  "requested_at": "2024-04-18T10:10:25.989Z",
  "completed_at": "2024-04-18T10:10:26.575Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
  "status": "in_progress",
  "requested_at": "2024-04-18T10:18:39.482Z"
}
```

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid Id Number",
    "field": "id_number",
    "code": "BAD_REQUEST"
  }
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-18T10:18:39.482Z",
  "completed_at": "2024-04-18T10:18:47.000Z"
}
```

### Document Status

#### Get document details

`GET``https://secctrl.tutelar.io/api/v1/kyc/identity/ind_driving_license`

Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| `reference_id`  | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "77fd9fd0-5d55-48d9-9496-191902eb6463",
  "status": "completed",
  "result": {
    "document_number": "TN6320100000762",
    "name_on_document": "VINAYAGAMOORTHYT",
    "date_of_birth": "YYYY-MM-DD",
    "gender": null,
    "issuing_rto_name": "RTO, SIVAGANGAI",
    "date_of_issue": "2016-02-09",
    "dl_status": null,
    "validity_from": "2016-02-09",
    "validity_to": "2036-02-08",
    "cov_details": [
      {
        "category": null,
        "cov": "MCWG",
        "issue_date": "2016-02-09"
      },
      {
        "category": null,
        "cov": "LMV",
        "issue_date": "2016-02-09"
      }
    ],
    "source": "government_website"
  },
  "requested_at": "2024-04-18T10:10:25.989Z",
  "completed_at": "2024-04-18T10:10:26.575Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
  "status": "in_progress",
  "requested_at": "2024-04-18T10:18:39.482Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2024-04-18T10:18:39.482Z",
  "completed_at": "2024-04-18T10:18:47.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/driving-license.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
